[问题]执行compiz --replace出错

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
头像
long_xiao_me
帖子: 64
注册时间: 2006-11-07 8:04
送出感谢: 0
接收感谢: 0
联系:

[问题]执行compiz --replace出错

#1

帖子 long_xiao_me » 2007-10-01 21:47

我以前Compiz是可以用的,升级以后,不能用了,执行下面的命令出错:

$ compiz --replace

/usr/bin/compiz.real (core) - Error: Can't load plugin 'ccp' because it is built for ABI version 20070915 and actual version is 20070828
/usr/bin/compiz.real (core) - Error: Couldn't activate plugin 'ccp'

请问有遇到此类问题的吗,请各位大侠提供一下解决方法。谢谢!
andylau_0319
帖子: 12
注册时间: 2007-06-10 21:55
送出感谢: 0
接收感谢: 0

#2

帖子 andylau_0319 » 2007-10-01 23:06

我和你差不多一样的情况,我运行compiz --replace后出现:
/usr/bin/compiz.real (core) - Error: dlsym: /usr/lib/compiz/libccp.so: undefined symbol: getCompPluginInfo20070830
/usr/bin/compiz.real (core) - Error: Couldn't load plugin 'ccp'

已经搞了几天了,不知道怎么解决,N卡驱动装的是最新的NVIDIA-Linux-x86-100.14.19-pkg1.run。

求教 高人呀
头像
iblicf
帖子: 3766
注册时间: 2007-01-15 17:15
送出感谢: 0
接收感谢: 0

#3

帖子 iblicf » 2007-10-01 23:42

google 关键词搜索解决这类问题最有效,因为 标准报错信息 都是一样的,程序是死的,特别适合搜索 ,
我没有这个问题,但是我搜了一下 ... 大概是说装了多个 compiz 造成混乱得意思 ..

see ... ! e 文,技术文档没什么艰深文法,稍微硬着头皮看,也不是很可怕

http://forum.compiz-fusion.org/archive/ ... -1878.html
http://forlong.blogage.de/article/2007/ ... ntu-Feisty
sos-ubuntu
帖子: 54
注册时间: 2007-10-03 12:08
来自: 成都
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 sos-ubuntu » 2007-10-03 14:45

俩个软件的版本不同
建议删去相关的软件
然后在新立得里更新一下
看看可以不~
头像
hizjz
帖子: 226
注册时间: 2007-09-16 13:33
送出感谢: 0
接收感谢: 0

#5

帖子 hizjz » 2007-10-05 15:49

我也遇到了跟楼主一样的问题。按照置顶贴刚安装好可以用,过了一天,升级了一下就出现楼主的问题了。还有除了透明效果外其他效果都用不了,而且窗口无边框。
照着置顶贴重装了几次都老样。
重装时发现一个问题:
使用sudo apt-get install 安装时,那些软件包好像都不是从源里下载下来的,好像用的是本地的,
可是重装前我已经把新立得里的都删了,而且还在文件浏览器里搜索了compiz,没有找到任何相关文件。

期待高手来解决!!!
blue_bird
帖子: 20
注册时间: 2007-09-07 23:45
来自: Guangzhou
送出感谢: 0
接收感谢: 0

[讨论]

#6

帖子 blue_bird » 2007-10-13 2:02

跟 hjzjz情况一样,
救命呀,谁来解决呀??
回复

回到 “桌面特效”